Subject: bug#51961: image-mode: advertize viewing an image as hex less eagerly

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 19 Nov 2021 08:32:49 +0100

Eli Zaretskii <[email-masked]> writes:

>> There is a minority of image types where it is obviously useful,
>> i.e. XPM and similar formats where the image is actually just a plain
>> text file.  I think we could consider keeping the message for those.
>
> SVG is the prominent example of those where there's a significant
> ambiguity in the user's intent.

Yup.  I think we should keep the message for SVG and XPM and ditch if
for everything else.  (If there's more of these formats, we can add them
back.  Perhaps make a defcustom to allow tweaking?)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no